function logCoreScore = logCoreScore(N,C,D,I,A,M)

iMax = nchoosek(C,2);
nloop = 1;
logCoreScoreXTmp = [];
for iIndex = I:iMax
    aMax = floor((D-2*iIndex)/(ceil(C/2+0.5)));
    for aIndex = A:aMax
        mMax = min(D-2*iIndex, aIndex*C);
        mMin = max(ceil(C/2+0.5)*aIndex,M);
        for mIndex = mMin:mMax 
            logCoreScoreXTmp(nloop) = logCombine(iMax, iIndex)+logCombine(N-C, aIndex)+...
                logCombine(N-C-aIndex, D-2*iIndex-mIndex)+...
                logCombine(mIndex-ceil(C/2+0.5)*aIndex+aIndex-1, aIndex-1);
            nloop = nloop +1;
        end
    end
end

nloop = 1;
logCoreScoreYTmp = [];
for iIndex = 0:iMax
    aMax = floor((D-2*iIndex)/(ceil(C/2+0.5)));
    for aIndex = 0:aMax
        mMax = min(D-2*iIndex, aIndex*C);
        mMin = ceil(C/2+0.5)*aIndex;
        for mIndex = mMin:mMax 
            logCoreScoreYTmp(nloop) = logCombine(iMax, iIndex)+logCombine(N-C, aIndex)+...
                logCombine(N-C-aIndex, D-2*iIndex-mIndex)+logCombine(mIndex-mMin+aIndex-1, aIndex-1);               
            nloop = nloop +1;
        end
    end
end
Xmax = mean(logCoreScoreXTmp);
Ymax = mean(logCoreScoreYTmp);
logCoreScoreXSum = log(sum(exp(logCoreScoreXTmp-Xmax)))+Xmax;
logCoreScoreYSum = log(sum(exp(logCoreScoreYTmp-Ymax)))+Ymax;
logCoreScore = logCoreScoreXSum - logCoreScoreYSum;



     